For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hauptkonten

Hinweise zur Funktion

Hauptkonten können auch als Sachkonten oder FiBu-Konten bezeichnet werden. Sie sammeln die Buchungen, die innerhalb des Systems manuell oder automatisiert getätigt werden. Hauptkonten haben eine Zuordnung zum Kontenrahmen, der wiederum für die bilanzielle Abbildung des Kontos verantwortlich ist. Sie sind für die Hauptbuchhaltung im Unternehmen verantwortlich. Ein Hauptkonto kann für mehrere Buchwerke verwendet werden. Es erfolgt aber immer automatisch eine Trennung der Umsätze nach Buchwerken, so dass keine Vermischung von Buchungen zwischen den Mandanten möglich ist. Sofern Sie das Rechnungswesen (Rewe - Diamant Finanzbuchhaltung) als Schnittstelle verwenden, werden die Konten sowie die Buchungen zu den Hauptkonten an das Rechnungswesen übertragen und stehen dort u. a. für bilanzielle Auswertungen zur Verfügung.

Bitte beachten Sie, dass in der WOWIPORT Benutzeroberfläche auch Hauptkonten ohne Buchwerke gespeichert werden können. Ohne Buchwerke können diese allerdings nicht genutzt werden. Hauptkonten ohne Buchwerke werden in der Schnittstelle nicht angezeigt.

Hauptkonten abrufen

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

Idinteger · int32Optional
CompanyCodeIdinteger · int32Optional
Codestring · nullableOptional
Namestring · nullableOptional
Name2string · nullableOptional
AccountChartIdinteger · int32Optional
AccountChartIdNumstring · nullableOptional
AccountChartCodestring · nullableOptional
AccountCategoryIdinteger · int32Optional
AccountCategoryCodestring · nullableOptional
AccountCategoryNamestring · nullableOptional
AccountGroupIdinteger · int32Optional
AccountGroupCodestring · nullableOptional
AccountGroupNamestring · nullableOptional
AdditionalAccountType1string · nullableOptional
AdditionalAccountType2string · nullableOptional
AdditionalAccountType3string · nullableOptional
AdditionalAccountType4string · nullableOptional
AdditionalAccountType5string · nullableOptional
AdditionalAccountType6string · nullableOptional
MetaMasterAccountIdinteger · int32 · nullableOptional
MetaMasterAccountCodestring · nullableOptional
FIOBookingTypeAccountancyIdinteger · int32 · nullableOptional
FIOBookingTypeAccountancyCodestring · nullableOptional
get/openwowi/v1.0/AccountancyMasterData/MasterAccounts
GET /openwowi/v1.0/AccountancyMasterData/MasterAccounts HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "CompanyCodeId": 1,
    "Code": "text",
    "Name": "text",
    "Name2": "text",
    "AccountChartId": 1,
    "AccountChartIdNum": "text",
    "AccountChartCode": "text",
    "AccountCategoryId": 1,
    "AccountCategoryCode": "text",
    "AccountCategoryName": "text",
    "AccountGroupId": 1,
    "AccountGroupCode": "text",
    "AccountGroupName": "text",
    "AdditionalAccountType1": "text",
    "AdditionalAccountType2": "text",
    "AdditionalAccountType3": "text",
    "AdditionalAccountType4": "text",
    "AdditionalAccountType5": "text",
    "AdditionalAccountType6": "text",
    "MetaMasterAccountId": 1,
    "MetaMasterAccountCode": "text",
    "FIOBookingTypeAccountancyId": 1,
    "FIOBookingTypeAccountancyCode": "text",
    "MasterAccountBalanceSheets": [
      {
        "MasterAccountId": 1,
        "BalanceSheetId": 1,
        "BalanceSheet": "text",
        "BalanceSheetPositionId": 1,
        "BalanceSheetPosition": "text"
      }
    ]
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
companyCodeIdinteger · int32Optional
masterAccountIdinteger · int32Optional
masterAccountNumberstringOptional
includeAdditionalAccountTypesAsListbooleanOptional
includeAdditionalAccountTypesAsPropertiesbooleanOptional
includeAccountCategoryInformationbooleanOptional
includeBalanceSheetPositionbooleanOptional
includeAdditionalFieldbooleanOptional
includeOtherParametersbooleanOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
Codestring · nullableOptional
Namestring · nullableOptional
Name2string · nullableOptional
get/openwowi/v1.2/AccountancyMasterData/MasterAccounts
GET /openwowi/v1.2/AccountancyMasterData/MasterAccounts HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Code": "text",
    "Name": "text",
    "Name2": "text",
    "OtherParameters": {
      "OpenAt": "2026-10-15",
      "ClosedAt": "2026-10-15",
      "Blocked": true,
      "OpenItemAccount": true,
      "Regulation": true,
      "UseAsDefaultMasterAccount": true,
      "UseQuantity": true,
      "FromCarryForward": true,
      "VatDocumentLineId": "text",
      "AutomaticTaxTreatment": true,
      "TaxCertificationRelevantType": {
        "Id": 1,
        "Code": "text"
      },
      "WithholdType": {
        "Id": 1,
        "Code": "text"
      },
      "LegalFamilyList": [
        {
          "Id": 1,
          "Code": "text"
        }
      ]
    },
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    },
    "AccountChart": {
      "Id": 1,
      "IdNum": "text",
      "Code": "text"
    },
    "AccountGroup": {
      "Id": 1,
      "Code": "text",
      "Name": "text",
      "AccountCategory": {
        "Id": 1,
        "Code": "text",
        "Name": "text"
      }
    },
    "BookingTypeAccountancy": {
      "Id": 1,
      "Code": "text",
      "Classification": {
        "Id": 1,
        "Code": "text"
      }
    },
    "MetaMasterAccount": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType1": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType2": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType3": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType4": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType5": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType6": {
      "Id": 1,
      "Code": "text"
    },
    "AdditionalAccountType": [
      {
        "Id": 1,
        "Code": "text"
      }
    ],
    "BalanceSheetPositions": [
      {
        "Id": 1,
        "Number": "text",
        "Line1": "text",
        "Line2": "text",
        "Line3": "text",
        "BalanceSheet": {
          "Id": 1,
          "Code": "text"
        }
      }
    ],
    "AdditionalFields": [
      {
        "Name": "text",
        "Content": "text",
        "Type": "text"
      }
    ]
  }
]

Zuletzt aktualisiert